[Task] Enable GeoData extension on wikidata.org
Closed, ResolvedPublic

daniel created this task.Oct 14 2015, 3:32 PM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to Normal.
daniel assigned this task to aude.
daniel added subscribers: JanZerebecki, gerritbot, Aklapper and 10 others.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 14 2015, 3:32 PM

Note that we might need to rebuild the Elasticsearch index after enabling GD. CC Cirrus guys.

aude added a comment.Oct 14 2015, 4:00 PM

@MaxSem we probably do

Is rebuilding the Elasticsearch index redundant for this exact case when we plan to run refeshLinks after enabling the extension?

Hm... refreshLinks should trigger an elastic update - but I don't know if it actually does.

Looks like the mapping will be changed (GD should use the CirrusSearchMappingConfig hook no?) so yes I'm afraid that we'll have to rebuild the index with the new mapping.

Before rebuilding, we need to update the schema ;)

Change 248868 had a related patch set uploaded (by Aude):
Enable GeoData extension on Wikidata

https://gerrit.wikimedia.org/r/248868

Change 248868 merged by jenkins-bot:
Enable GeoData extension on Wikidata

https://gerrit.wikimedia.org/r/248868

aude closed this task as Resolved.Oct 29 2015, 10:46 PM
aude removed a project: Patch-For-Review.
aude moved this task from Doing to Done on the Wikidata-Sprint-2015-10-13 board.Oct 29 2015, 10:53 PM